Rated 2 out of 5 stars

Hmmm, this really looks good, but I'm using Firefox 3.5.2. Your blog say's WiiFox has been updated to 3.5, but it still doesn't show to be compatible with 3.5.2.
Please, PLEASE update this theme so it will work with 3.5.2!
Thanks!